import { Application } from 'core/application/application.model';
import { ITask } from 'core/domain';
export declare class ManifestWriter {
    static deployManifest(command: any, application: Application): PromiseLike<ITask>;
    static deleteManifest(command: any, application: Application): PromiseLike<ITask>;
    static scaleManifest(command: any, application: Application): PromiseLike<ITask>;
    static undoRolloutManifest(command: any, application: Application): PromiseLike<ITask>;
    static resumeRolloutManifest(command: any, application: Application): PromiseLike<ITask>;
    static pauseRolloutManifest(command: any, application: Application): PromiseLike<ITask>;
    static rollingRestartManifest(command: any, application: Application): PromiseLike<ITask>;
}
